Package org.opensaml.storage.impl.client

# Class ClientStorageSaveContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.storage.impl.client.ClientStorageSaveContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public class ClientStorageSaveContext extends BaseContext
A subcontext for driving the saving of data to a client from one or more instances of a `ClientStorageService`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Collection<ClientStorageServiceOperation>`
`storageOperations`
Storage operations to perform.

## Constructor Summary

Constructors
Constructor
Description
`ClientStorageSaveContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<ClientStorageServiceOperation>`
`getStorageOperations()`
Get the storage operations to perform.
`boolean`
`isSourceRequired(ClientStorageService.ClientStorageSource source)`
Get whether a particular storage source is implicated by the queued operations.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### storageOperations

@Nonnull private Collection<ClientStorageServiceOperation> storageOperations
Storage operations to perform.

## Constructor Details

### ClientStorageSaveContext

public ClientStorageSaveContext()
Constructor.

## Method Details

### getStorageOperations

@Nonnull @Live public Collection<ClientStorageServiceOperation> getStorageOperations()
Get the storage operations to perform.

Returns:
  modifiable collection of storage operations

### isSourceRequired

public boolean isSourceRequired(@Nonnull ClientStorageService.ClientStorageSource source)
Get whether a particular storage source is implicated by the queued operations.

Parameters:
  `source` - storage source to check for
Returns:
  true iff the operations include at least one against the specified source